# This file was auto-generated by Fern from our API Definition.

from ..core.pydantic_utilities import UniversalBaseModel
from .voice_metadata import VoiceMetadata
import typing
import pydantic
from .voice_options import VoiceOptions
from ..core.pydantic_utilities import IS_PYDANTIC_V2


class Voice(UniversalBaseModel):
    name: str
    voice_id: str
    metadata: VoiceMetadata
    model_ids: typing.List[str] = pydantic.Field()
    """
    Model IDs that this voice is compatible with.
    """

    preview_urls_by_model_id: typing.Dict[str, str] = pydantic.Field()
    """
    Preview urls for this voice per model id.
    """

    default_voice_options_by_model_id: typing.Dict[str, VoiceOptions] = pydantic.Field()
    """
    Default voice options for this voice per model id.
    """

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(
            extra="allow", frozen=True
        )  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
